Bug 492097 - tiny fix in specfile
tiny fix in specfile
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: readline (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 07:50 EDT by Jan F. Chadima
Modified: 2009-08-25 11:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 11:24:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan F. Chadima 2009-03-25 07:50:53 EDT
Description of problem:

on some conditions after install exists unpackaged .../%{_infodir}/dir.old

Version-Release number of selected component (if applicable):

readline-5.2-14

Additional info:
patch:
-- readline.spec.jfch  2009-02-25 20:22:24.000000000 +0000                                                                              
+++ readline.spec       2009-03-24 15:47:31.000000000 +0000                                                                              
@@ -1,7 +1,7 @@                                                                                                                          
 Summary: A library for editing typed command lines                                                                                      
 Name: readline                                                                                                                          
 Version: 5.2                                                                                                                            
-Release: 14%{?dist}                                                                                                                     
+Release: 15%{?dist}                                                                                                                     
 License: GPLv2+                                                                                                                         
 Group: System Environment/Libraries                                                                                                     
 URL: http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html                                                                            
@@ -95,7 +95,7 @@ for l in $RPM_BUILD_ROOT%{_libdir}/libre                                                                               
         sed 's,\(^/\|\)[^/][^/]*,..,g')/%{_lib}/$(readlink $l) $l                                                                       
 done                                                                                                                                    
                                                                                                                                         
-rm -f $RPM_BUILD_ROOT%{_infodir}/dir                                                                                                    
+rm -f $RPM_BUILD_ROOT%{_infodir}/dir*                                                                                                   
                                                                                                                                         
 %clean                                                                                                                                  
 rm -rf $RPM_BUILD_ROOT                                                                                                                  
@@ -146,6 +146,9 @@ fi                                                                                                                   
 %{_libdir}/lib*.a                                                                                                                       
                                                                                                                                         
 %changelog                                                                                                                              
+* Tue Mar 24 2009 Jan F. Chadima <jchadima@redhat.com> - 5.2-15                                                                         
+- Remove unpacked file $RPM_BUILD_ROOT%{_infodir}/dir.old.gz after install                                                              
+                                                                                                                                        
 * Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2-14                                                 
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
Comment 1 Bug Zapper 2009-06-09 08:37:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Miroslav Lichvar 2009-08-25 11:24:56 EDT
Fixed in readline-6.0-3.fc12. Thanks.

Note You need to log in before you can comment on or make changes to this bug.